Subject: Re: [RESEND PATCH 0/4] ppc64 LE ABI v2 ftrace-with-regs implementation

From: Torsten Duwe <[email-masked]>
Date: Fri, 19 Jun 2015 14:00:44 +0200

On Thu, Jun 18, 2015 at 12:55:39PM -0400, Steven Rostedt wrote:
> 
> I applied these patches against v4.1-rc8 and I get this compiling it
> for my electra:
> 
> /work/autotest/nobackup/powerpc-test.git/arch/powerpc/kernel/entry_64.S: Assembler messages:
> /work/autotest/nobackup/powerpc-test.git/arch/powerpc/kernel/entry_64.S:1165: Error: unknown pseudo-op: `.localentry'
> /work/autotest/nobackup/powerpc-test.git/arch/powerpc/kernel/entry_64.S:1189: Error: unknown pseudo-op: `.localentry'
> /work/autotest/nobackup/powerpc-test.git/arch/powerpc/kernel/entry_64.S:1271: Error: unknown pseudo-op: `.localentry'
> /work/autotest/nobackup/powerpc-test.git/scripts/Makefile.build:294: recipe for target 'arch/powerpc/kernel/entry_64.o' failed
> make[2]: *** [arch/powerpc/kernel/entry_64.o] Error 1

After removing your cross compile prefix, with your config I get:

| kernel/bounds.c:1:0: error: -mcall-aixdesc incompatible with -mabi=elfv2

Are you building ppc64, little endian, ELF ABIv2 ?
Is your cross compiler working properly?

I'm compiling natively on that platform (faster for me than an x86 ;-)
| GNU assembler (GNU Binutils; SUSE Linux Enterprise 12) 2.24.0.20140403-7
| gcc (SUSE Linux) 4.8.3 20140627 [gcc-4_8-branch revision 212064]

4.1.0-rc8 config attached.

HTH,
	Torsten